commit 74f4b0eb3d7f48b5e9ad3b47280593a7a43a6e8d
Author: freddy77 <freddy77>
Date:   Thu Oct 16 14:09:57 2008 +0000

    small optimization

diff --git a/ChangeLog b/ChangeLog
index 8e12606..f898a7f 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,6 @@
+Thu Oct 16 16:09:45 CET 2008    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* src/odbc/prepare_query.c: small optimization
+
 Thu Oct 16 16:08:40 CET 2008    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* src/odbc/unittests/blob1.c: make it works
 
@@ -696,4 +699,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog  truncated because of release
 	* ChangeLog-0.82 added because of release
 	
-$Id: ChangeLog,v 1.2620 2008/10/16 14:08:43 freddy77 Exp $
+$Id: ChangeLog,v 1.2621 2008/10/16 14:09:57 freddy77 Exp $
diff --git a/src/odbc/prepare_query.c b/src/odbc/prepare_query.c
index f2f642f..e4264d1 100644
--- a/src/odbc/prepare_query.c
+++ b/src/odbc/prepare_query.c
@@ -43,7 +43,7 @@
 #include <dmalloc.h>
 #endif
 
-TDS_RCSID(var, "$Id: prepare_query.c,v 1.72 2008/09/11 15:09:49 freddy77 Exp $");
+TDS_RCSID(var, "$Id: prepare_query.c,v 1.73 2008/10/16 14:09:57 freddy77 Exp $");
 
 #define TDS_ISSPACE(c) isspace((unsigned char) (c))
 
@@ -328,7 +328,6 @@ continue_parse_prepared_query(struct _hstmt *stmt, SQLPOINTER DataPtr, SQLLEN St
 		CONV_RESULT ores;
 		TDS_DBC * dbc = stmt->dbc;
 		void *free_ptr = NULL;
-		int start = 0;
 		SQLPOINTER extradata = NULL;
 		SQLLEN extralen = 0;
 
@@ -374,7 +373,7 @@ continue_parse_prepared_query(struct _hstmt *stmt, SQLPOINTER DataPtr, SQLLEN St
 					extradata = ores.ib;
 					extralen = res;
 					
-					start = 1;
+					DataPtr = (SQLPOINTER) (((char*)DataPtr) + 1);
 					--len;
 				}
 				
@@ -383,7 +382,7 @@ continue_parse_prepared_query(struct _hstmt *stmt, SQLPOINTER DataPtr, SQLLEN St
 					curcol->column_text_sqlputdatainfo = *((char*)DataPtr+len);
 				}
 
-				res = tds_convert(dbc->env->tds_ctx, src_type, DataPtr+start, len, dest_type, &ores);
+				res = tds_convert(dbc->env->tds_ctx, src_type, DataPtr, len, dest_type, &ores);
 				if (res < 0) {
 					odbc_convert_err_set(&dbc->errs, res);
 					free(extradata);

